Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libwv2
Version:	0.2.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://wvware.sourceforge.net
Group:		System/Libraries
Source0:	wv2-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	MSWord 6/7/8/9 binary file format -> HTML converter library.
BuildRequires:	glibc-devel libglib-devel libgsf-devel libxml2-devel zlib-devel

%description
Wv2 is a library that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.
For more details see: http://wvware.sourceforge.net

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n wv2-%{version}

%build
./configure --prefix=%_prefix \
				--enable-shared \
				--enable-static \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.1.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.3-1
- Version update
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.2.2-1
- Update to Version 0.2.2
